<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: VicoQuery Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00086.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="#pri-slots">Private Slots</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">VicoQuery Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>The <a class="el" href="a00086.html" title="The VicoQuery class handles the requests and responses from host side to/from the VICODaemon and henc...">VicoQuery</a> class handles the requests and responses from host side to/from the VICODaemon and hence device.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00014_source.html">vicoquery.h</a>&gt;</code></p>

<p>Inherits QObject.</p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="signals" name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a8fc210aa881f02f3fa8b6ce27ce0a972" id="r_a8fc210aa881f02f3fa8b6ce27ce0a972"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8fc210aa881f02f3fa8b6ce27ce0a972">dataReceived</a> ()</td></tr>
<tr class="separator:a8fc210aa881f02f3fa8b6ce27ce0a972"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a68e9ba5dd1a19bb9cd86d7781115d2c0" id="r_a68e9ba5dd1a19bb9cd86d7781115d2c0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a68e9ba5dd1a19bb9cd86d7781115d2c0">VicoQuery</a> ()</td></tr>
<tr class="separator:a68e9ba5dd1a19bb9cd86d7781115d2c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87e3447c5f051d1d3d35bb5116205cb3" id="r_a87e3447c5f051d1d3d35bb5116205cb3"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a87e3447c5f051d1d3d35bb5116205cb3">execute</a> (const QString &amp;id)</td></tr>
<tr class="separator:a87e3447c5f051d1d3d35bb5116205cb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a809b4703e53ffe06b6b32f0e4a243d3c" id="r_a809b4703e53ffe06b6b32f0e4a243d3c"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a809b4703e53ffe06b6b32f0e4a243d3c">execute</a> (const QString &amp;request, quint8 index)</td></tr>
<tr class="separator:a809b4703e53ffe06b6b32f0e4a243d3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa63e4142898bd0583e114cc6e7ce14e2" id="r_aa63e4142898bd0583e114cc6e7ce14e2"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa63e4142898bd0583e114cc6e7ce14e2">execute</a> (const QString &amp;request, quint64 deviceId)</td></tr>
<tr class="separator:aa63e4142898bd0583e114cc6e7ce14e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad484cd2d3a7beb69fe65d0e2817d1e43" id="r_ad484cd2d3a7beb69fe65d0e2817d1e43"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad484cd2d3a7beb69fe65d0e2817d1e43">execute</a> (const QString &amp;request, QVariant data)</td></tr>
<tr class="separator:ad484cd2d3a7beb69fe65d0e2817d1e43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b88ad6b2b8a7cd3938a678bd930411e" id="r_a8b88ad6b2b8a7cd3938a678bd930411e"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8b88ad6b2b8a7cd3938a678bd930411e">execute</a> (const QString &amp;request, quint64 deviceId, quint8 preferredInterface)</td></tr>
<tr class="separator:a8b88ad6b2b8a7cd3938a678bd930411e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a268c1876c5b2b6a9740542254d83bcd2" id="r_a268c1876c5b2b6a9740542254d83bcd2"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a268c1876c5b2b6a9740542254d83bcd2">execute</a> (const QString &amp;request, const QString &amp;fromIpAddress, const QString &amp;toIpAddress, const bool &amp;useBinding)</td></tr>
<tr class="separator:a268c1876c5b2b6a9740542254d83bcd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609f8463820d3d2edea41359384db123" id="r_a609f8463820d3d2edea41359384db123"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a609f8463820d3d2edea41359384db123">execute</a> (const QString &amp;request, const QString &amp;fromIpAddress, const quint8, const bool &amp;useBinding)</td></tr>
<tr class="separator:a609f8463820d3d2edea41359384db123"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b5d629278170fb51627c36772e788ba" id="r_a4b5d629278170fb51627c36772e788ba"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4b5d629278170fb51627c36772e788ba">execute</a> (quint64 deviceId, quint8 pid, quint8 command, quint16 data, quint16 size=4)</td></tr>
<tr class="separator:a4b5d629278170fb51627c36772e788ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a583df02aec4dbaefe4a4f9512e655e" id="r_a5a583df02aec4dbaefe4a4f9512e655e"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5a583df02aec4dbaefe4a4f9512e655e">execute</a> (quint64 deviceId, quint8 pid, quint8 command, quint16 segmentNumber, uchar *firmwareSection)</td></tr>
<tr class="separator:a5a583df02aec4dbaefe4a4f9512e655e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6de25ffc17197c525d860fa07167895" id="r_ab6de25ffc17197c525d860fa07167895"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab6de25ffc17197c525d860fa07167895">execute</a> (quint64 deviceId, quint8 ver, quint8 cix, quint8 cl, quint16 requestedDataLength, int dataByteCount,...)</td></tr>
<tr class="separator:ab6de25ffc17197c525d860fa07167895"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-types" name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a5674e87bcb3423624ab64c9184ef7f89" id="r_a5674e87bcb3423624ab64c9184ef7f89"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5674e87bcb3423624ab64c9184ef7f89">WaitType</a> { <a class="el" href="#a5674e87bcb3423624ab64c9184ef7f89a4467384e25100e05c8e3edf448dd8f6c">Bytes</a>
, <a class="el" href="#a5674e87bcb3423624ab64c9184ef7f89a1a53e8572ae64be0ce71ec2ebf7c290c">Disconnection</a>
 }</td></tr>
<tr class="separator:a5674e87bcb3423624ab64c9184ef7f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-slots" name="pri-slots"></a>
Private Slots</h2></td></tr>
<tr class="memitem:a183cf5f7bae87d5d3624c9ab97ad2249" id="r_a183cf5f7bae87d5d3624c9ab97ad2249"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a183cf5f7bae87d5d3624c9ab97ad2249">reportError</a> (QLocalSocket::LocalSocketError socketError)</td></tr>
<tr class="separator:a183cf5f7bae87d5d3624c9ab97ad2249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05816ef09ace76197de49763cb05760c" id="r_a05816ef09ace76197de49763cb05760c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a05816ef09ace76197de49763cb05760c">onDataReceived</a> ()</td></tr>
<tr class="separator:a05816ef09ace76197de49763cb05760c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29aeafb7a1d3ec392788d1ccf4c12794" id="r_a29aeafb7a1d3ec392788d1ccf4c12794"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a29aeafb7a1d3ec392788d1ccf4c12794">onDisconnected</a> ()</td></tr>
<tr class="separator:a29aeafb7a1d3ec392788d1ccf4c12794"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a683f5665bf529328a56ade89e73c40b7" id="r_a683f5665bf529328a56ade89e73c40b7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a683f5665bf529328a56ade89e73c40b7">onConnected</a> ()</td></tr>
<tr class="separator:a683f5665bf529328a56ade89e73c40b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a1802284730891a29060a3e6cab532272" id="r_a1802284730891a29060a3e6cab532272"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1802284730891a29060a3e6cab532272">jsonReceived</a> (const QJsonDocument &amp;jsonDoc)</td></tr>
<tr class="separator:a1802284730891a29060a3e6cab532272"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a869e72ce54480f78ddc261f6e50012a8" id="r_a869e72ce54480f78ddc261f6e50012a8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a869e72ce54480f78ddc261f6e50012a8">connectToServer</a> ()</td></tr>
<tr class="separator:a869e72ce54480f78ddc261f6e50012a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bfb0ef289457699d750e658abfd19e5" id="r_a5bfb0ef289457699d750e658abfd19e5"><td class="memItemLeft" align="right" valign="top">quint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5bfb0ef289457699d750e658abfd19e5">crc16</a> (quint8 *data, quint8 offset, quint8 length) const</td></tr>
<tr class="separator:a5bfb0ef289457699d750e658abfd19e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7992fbf97547dc9a2722ae227f80b485" id="r_a7992fbf97547dc9a2722ae227f80b485"><td class="memItemLeft" align="right" valign="top">quint16&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7992fbf97547dc9a2722ae227f80b485">crc16LE</a> (quint8 *data, quint8 offset, quint8 length) const</td></tr>
<tr class="separator:a7992fbf97547dc9a2722ae227f80b485"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a367aeb03e87f0685a3a560b6713cb4ea" id="r_a367aeb03e87f0685a3a560b6713cb4ea"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a367aeb03e87f0685a3a560b6713cb4ea">doWait</a> (<a class="el" href="#a5674e87bcb3423624ab64c9184ef7f89">WaitType</a> type=<a class="el" href="#a5674e87bcb3423624ab64c9184ef7f89a4467384e25100e05c8e3edf448dd8f6c">WaitType::Bytes</a>, qint64 msec=30000)</td></tr>
<tr class="separator:a367aeb03e87f0685a3a560b6713cb4ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a50507ce10620cb878178ed28bc83d8c2" id="r_a50507ce10620cb878178ed28bc83d8c2"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a50507ce10620cb878178ed28bc83d8c2">API_DATAGRAM_REQUEST</a> = QLatin1String(&quot;request&quot;)</td></tr>
<tr class="separator:a50507ce10620cb878178ed28bc83d8c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85f7ccd79963b16d952eb5e93ccba4ba" id="r_a85f7ccd79963b16d952eb5e93ccba4ba"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a85f7ccd79963b16d952eb5e93ccba4ba">API_DATAGRAM_FROM_IP</a> = QLatin1String(&quot;fromIp&quot;)</td></tr>
<tr class="separator:a85f7ccd79963b16d952eb5e93ccba4ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38d802a925ecf5e699f1a4f9f190e708" id="r_a38d802a925ecf5e699f1a4f9f190e708"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a38d802a925ecf5e699f1a4f9f190e708">API_DATAGRAM_TO_IP</a> = QLatin1String(&quot;toIp&quot;)</td></tr>
<tr class="separator:a38d802a925ecf5e699f1a4f9f190e708"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5df32a64cf2e2af065bb458e944e1f42" id="r_a5df32a64cf2e2af065bb458e944e1f42"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5df32a64cf2e2af065bb458e944e1f42">API_DATAGRAM_UDPSCAN_IP</a> = QLatin1String(&quot;udpScanIp&quot;)</td></tr>
<tr class="separator:a5df32a64cf2e2af065bb458e944e1f42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d39a0e96b29b537caad8f3bc558da3b" id="r_a6d39a0e96b29b537caad8f3bc558da3b"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6d39a0e96b29b537caad8f3bc558da3b">API_DATAGRAM_UDPSCAN_SUBNETMASK</a> = QLatin1String(&quot;udpScanSubnetMask&quot;)</td></tr>
<tr class="separator:a6d39a0e96b29b537caad8f3bc558da3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9df4e33e1b37e3b2031f0a9943c47cb0" id="r_a9df4e33e1b37e3b2031f0a9943c47cb0"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9df4e33e1b37e3b2031f0a9943c47cb0">API_DATAGRAM_ETH_SCAN_USE_BINDING</a> = QLatin1String(&quot;useBinding&quot;)</td></tr>
<tr class="separator:a9df4e33e1b37e3b2031f0a9943c47cb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d9030558809e6ac7295a892c0f05bfe" id="r_a8d9030558809e6ac7295a892c0f05bfe"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8d9030558809e6ac7295a892c0f05bfe">API_DATAGRAM_DEVICE</a> = QLatin1String(&quot;device&quot;)</td></tr>
<tr class="separator:a8d9030558809e6ac7295a892c0f05bfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7f18f55e68b670055865faebd110e2b" id="r_ad7f18f55e68b670055865faebd110e2b"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad7f18f55e68b670055865faebd110e2b">API_DATAGRAM_INTERFACE</a> = QLatin1String(&quot;interface&quot;)</td></tr>
<tr class="separator:ad7f18f55e68b670055865faebd110e2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7ceec3e87f7cfb746a1f33697742718" id="r_ac7ceec3e87f7cfb746a1f33697742718"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac7ceec3e87f7cfb746a1f33697742718">API_DATAGRAM_DEVICEINDEX</a> = QLatin1String(&quot;deviceIndex&quot;)</td></tr>
<tr class="separator:ac7ceec3e87f7cfb746a1f33697742718"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af29ec6fb07a3d40c8432b14bca9b8b8f" id="r_af29ec6fb07a3d40c8432b14bca9b8b8f"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af29ec6fb07a3d40c8432b14bca9b8b8f">API_DATAGRAM_ID</a> = QLatin1String(&quot;id&quot;)</td></tr>
<tr class="separator:af29ec6fb07a3d40c8432b14bca9b8b8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39542a9eba7e4092dbd594909ed76417" id="r_a39542a9eba7e4092dbd594909ed76417"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a39542a9eba7e4092dbd594909ed76417">API_DATAGRAM_DATA</a> = QLatin1String(&quot;data&quot;)</td></tr>
<tr class="separator:a39542a9eba7e4092dbd594909ed76417"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc43a6451778a10375f7e4261368f8c0" id="r_acc43a6451778a10375f7e4261368f8c0"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acc43a6451778a10375f7e4261368f8c0">API_DATAGRAM_CMD</a> = QLatin1String(&quot;cmd&quot;)</td></tr>
<tr class="separator:acc43a6451778a10375f7e4261368f8c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9181d8f45c1c6292517e0b00d8db73ec" id="r_a9181d8f45c1c6292517e0b00d8db73ec"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a9181d8f45c1c6292517e0b00d8db73ec">API_DATAGRAM_SIZE</a> = QLatin1String(&quot;size&quot;)</td></tr>
<tr class="separator:a9181d8f45c1c6292517e0b00d8db73ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02a803c439dca07dd1b628862c3d2947" id="r_a02a803c439dca07dd1b628862c3d2947"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a02a803c439dca07dd1b628862c3d2947">API_MCU_DATAGRAM_ENABLE</a> = QLatin1String(&quot;MCU_DATAGRAM&quot;)</td></tr>
<tr class="separator:a02a803c439dca07dd1b628862c3d2947"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46337d2742c581e71032db1d15d0042d" id="r_a46337d2742c581e71032db1d15d0042d"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a46337d2742c581e71032db1d15d0042d">API_MCU_PROTOCOL_VERSION</a> = QLatin1String(&quot;MCU_PROTOCOL_VERSION&quot;)</td></tr>
<tr class="separator:a46337d2742c581e71032db1d15d0042d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36e50331980fe542b661b1b1cb041ab7" id="r_a36e50331980fe542b661b1b1cb041ab7"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a36e50331980fe542b661b1b1cb041ab7">API_MCU_CRC</a> = QLatin1String(&quot;MCU_CHECKSUM&quot;)</td></tr>
<tr class="separator:a36e50331980fe542b661b1b1cb041ab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06ae574c3b84b491740508705d1be6b2" id="r_a06ae574c3b84b491740508705d1be6b2"><td class="memItemLeft" align="right" valign="top">const QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a06ae574c3b84b491740508705d1be6b2">API_MCU_LENGTH</a> = QLatin1String(&quot;MCU_LENGTH&quot;)</td></tr>
<tr class="separator:a06ae574c3b84b491740508705d1be6b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72805c83813b1f2965cc141b7389b78c" id="r_a72805c83813b1f2965cc141b7389b78c"><td class="memItemLeft" align="right" valign="top">QLocalSocket&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a72805c83813b1f2965cc141b7389b78c">socket</a></td></tr>
<tr class="separator:a72805c83813b1f2965cc141b7389b78c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab57f8f93ecece51ed609f0c3765f4504" id="r_ab57f8f93ecece51ed609f0c3765f4504"><td class="memItemLeft" align="right" valign="top">quint32&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab57f8f93ecece51ed609f0c3765f4504">blockSize</a></td></tr>
<tr class="separator:ab57f8f93ecece51ed609f0c3765f4504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5ab4c07b7b9f44e5ef7f7450c719068" id="r_ad5ab4c07b7b9f44e5ef7f7450c719068"><td class="memItemLeft" align="right" valign="top">QJsonObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad5ab4c07b7b9f44e5ef7f7450c719068">lastResult</a></td></tr>
<tr class="separator:ad5ab4c07b7b9f44e5ef7f7450c719068"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1280d4b09d59f63cad2653318b778b16" id="r_a1280d4b09d59f63cad2653318b778b16"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1280d4b09d59f63cad2653318b778b16">socketHasErrors</a></td></tr>
<tr class="separator:a1280d4b09d59f63cad2653318b778b16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a359c03477f18f0d95c0cf7627b22eb16" id="r_a359c03477f18f0d95c0cf7627b22eb16"><td class="memItemLeft" align="right" valign="top">std::atomic_bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a359c03477f18f0d95c0cf7627b22eb16">wait</a></td></tr>
<tr class="separator:a359c03477f18f0d95c0cf7627b22eb16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aece5537b13baf9462b4468c8abf0a5cd" id="r_aece5537b13baf9462b4468c8abf0a5cd"><td class="memItemLeft" align="right" valign="top">std::atomic_bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aece5537b13baf9462b4468c8abf0a5cd">connected</a></td></tr>
<tr class="separator:aece5537b13baf9462b4468c8abf0a5cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>The <a class="el" href="a00086.html" title="The VicoQuery class handles the requests and responses from host side to/from the VICODaemon and henc...">VicoQuery</a> class handles the requests and responses from host side to/from the VICODaemon and hence device. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a5674e87bcb3423624ab64c9184ef7f89" name="a5674e87bcb3423624ab64c9184ef7f89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5674e87bcb3423624ab64c9184ef7f89">&#9670;&#160;</a></span>WaitType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="#a5674e87bcb3423624ab64c9184ef7f89">WaitType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a5674e87bcb3423624ab64c9184ef7f89a4467384e25100e05c8e3edf448dd8f6c" name="a5674e87bcb3423624ab64c9184ef7f89a4467384e25100e05c8e3edf448dd8f6c"></a>Bytes&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a5674e87bcb3423624ab64c9184ef7f89a1a53e8572ae64be0ce71ec2ebf7c290c" name="a5674e87bcb3423624ab64c9184ef7f89a1a53e8572ae64be0ce71ec2ebf7c290c"></a>Disconnection&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a68e9ba5dd1a19bb9cd86d7781115d2c0" name="a68e9ba5dd1a19bb9cd86d7781115d2c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68e9ba5dd1a19bb9cd86d7781115d2c0">&#9670;&#160;</a></span>VicoQuery()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00086.html">VicoQuery</a> </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a869e72ce54480f78ddc261f6e50012a8" name="a869e72ce54480f78ddc261f6e50012a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a869e72ce54480f78ddc261f6e50012a8">&#9670;&#160;</a></span>connectToServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void connectToServer </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5bfb0ef289457699d750e658abfd19e5" name="a5bfb0ef289457699d750e658abfd19e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bfb0ef289457699d750e658abfd19e5">&#9670;&#160;</a></span>crc16()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">quint16 crc16 </td>
          <td>(</td>
          <td class="paramtype">quint8 *</td>          <td class="paramname"><span class="paramname"><em>data</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>offset</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>length</em></span>&#160;) const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7992fbf97547dc9a2722ae227f80b485" name="a7992fbf97547dc9a2722ae227f80b485"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7992fbf97547dc9a2722ae227f80b485">&#9670;&#160;</a></span>crc16LE()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">quint16 crc16LE </td>
          <td>(</td>
          <td class="paramtype">quint8 *</td>          <td class="paramname"><span class="paramname"><em>data</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>offset</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>length</em></span>&#160;) const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8fc210aa881f02f3fa8b6ce27ce0a972" name="a8fc210aa881f02f3fa8b6ce27ce0a972"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fc210aa881f02f3fa8b6ce27ce0a972">&#9670;&#160;</a></span>dataReceived</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void dataReceived </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a367aeb03e87f0685a3a560b6713cb4ea" name="a367aeb03e87f0685a3a560b6713cb4ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a367aeb03e87f0685a3a560b6713cb4ea">&#9670;&#160;</a></span>doWait()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void doWait </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="#a5674e87bcb3423624ab64c9184ef7f89">WaitType</a></td>          <td class="paramname"><span class="paramname"><em>type</em></span><span class="paramdefsep"> = </span><span class="paramdefval"><a class="el" href="#a5674e87bcb3423624ab64c9184ef7f89a4467384e25100e05c8e3edf448dd8f6c">WaitType::Bytes</a></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">qint64</td>          <td class="paramname"><span class="paramname"><em>msec</em></span><span class="paramdefsep"> = </span><span class="paramdefval">30000</span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a87e3447c5f051d1d3d35bb5116205cb3" name="a87e3447c5f051d1d3d35bb5116205cb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87e3447c5f051d1d3d35bb5116205cb3">&#9670;&#160;</a></span>execute() <span class="overload">[1/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject execute </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>id</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a268c1876c5b2b6a9740542254d83bcd2" name="a268c1876c5b2b6a9740542254d83bcd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a268c1876c5b2b6a9740542254d83bcd2">&#9670;&#160;</a></span>execute() <span class="overload">[2/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject execute </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>request</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>fromIpAddress</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>toIpAddress</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool &amp;</td>          <td class="paramname"><span class="paramname"><em>useBinding</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a609f8463820d3d2edea41359384db123" name="a609f8463820d3d2edea41359384db123"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a609f8463820d3d2edea41359384db123">&#9670;&#160;</a></span>execute() <span class="overload">[3/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject execute </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>request</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>fromIpAddress</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const quint8</td>          <td class="paramname"><span class="paramname"><em></em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool &amp;</td>          <td class="paramname"><span class="paramname"><em>useBinding</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa63e4142898bd0583e114cc6e7ce14e2" name="aa63e4142898bd0583e114cc6e7ce14e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa63e4142898bd0583e114cc6e7ce14e2">&#9670;&#160;</a></span>execute() <span class="overload">[4/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject execute </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>request</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint64</td>          <td class="paramname"><span class="paramname"><em>deviceId</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8b88ad6b2b8a7cd3938a678bd930411e" name="a8b88ad6b2b8a7cd3938a678bd930411e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b88ad6b2b8a7cd3938a678bd930411e">&#9670;&#160;</a></span>execute() <span class="overload">[5/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject execute </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>request</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint64</td>          <td class="paramname"><span class="paramname"><em>deviceId</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>preferredInterface</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a809b4703e53ffe06b6b32f0e4a243d3c" name="a809b4703e53ffe06b6b32f0e4a243d3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a809b4703e53ffe06b6b32f0e4a243d3c">&#9670;&#160;</a></span>execute() <span class="overload">[6/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject execute </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>request</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>index</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad484cd2d3a7beb69fe65d0e2817d1e43" name="ad484cd2d3a7beb69fe65d0e2817d1e43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad484cd2d3a7beb69fe65d0e2817d1e43">&#9670;&#160;</a></span>execute() <span class="overload">[7/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject execute </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>request</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QVariant</td>          <td class="paramname"><span class="paramname"><em>data</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4b5d629278170fb51627c36772e788ba" name="a4b5d629278170fb51627c36772e788ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b5d629278170fb51627c36772e788ba">&#9670;&#160;</a></span>execute() <span class="overload">[8/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject execute </td>
          <td>(</td>
          <td class="paramtype">quint64</td>          <td class="paramname"><span class="paramname"><em>deviceId</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>pid</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>command</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint16</td>          <td class="paramname"><span class="paramname"><em>data</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint16</td>          <td class="paramname"><span class="paramname"><em>size</em></span><span class="paramdefsep"> = </span><span class="paramdefval">4</span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5a583df02aec4dbaefe4a4f9512e655e" name="a5a583df02aec4dbaefe4a4f9512e655e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a583df02aec4dbaefe4a4f9512e655e">&#9670;&#160;</a></span>execute() <span class="overload">[9/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject execute </td>
          <td>(</td>
          <td class="paramtype">quint64</td>          <td class="paramname"><span class="paramname"><em>deviceId</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>pid</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>command</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint16</td>          <td class="paramname"><span class="paramname"><em>segmentNumber</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uchar *</td>          <td class="paramname"><span class="paramname"><em>firmwareSection</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6de25ffc17197c525d860fa07167895" name="ab6de25ffc17197c525d860fa07167895"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6de25ffc17197c525d860fa07167895">&#9670;&#160;</a></span>execute() <span class="overload">[10/10]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject execute </td>
          <td>(</td>
          <td class="paramtype">quint64</td>          <td class="paramname"><span class="paramname"><em>deviceId</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>ver</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>cix</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint8</td>          <td class="paramname"><span class="paramname"><em>cl</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">quint16</td>          <td class="paramname"><span class="paramname"><em>requestedDataLength</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>dataByteCount</em></span>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"></td>          <td class="paramname"><span class="paramname"><em>...</em></span>&#160;)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1802284730891a29060a3e6cab532272" name="a1802284730891a29060a3e6cab532272"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1802284730891a29060a3e6cab532272">&#9670;&#160;</a></span>jsonReceived()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void jsonReceived </td>
          <td>(</td>
          <td class="paramtype">const QJsonDocument &amp;</td>          <td class="paramname"><span class="paramname"><em>jsonDoc</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a683f5665bf529328a56ade89e73c40b7" name="a683f5665bf529328a56ade89e73c40b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a683f5665bf529328a56ade89e73c40b7">&#9670;&#160;</a></span>onConnected</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void onConnected </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a05816ef09ace76197de49763cb05760c" name="a05816ef09ace76197de49763cb05760c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05816ef09ace76197de49763cb05760c">&#9670;&#160;</a></span>onDataReceived</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void onDataReceived </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a29aeafb7a1d3ec392788d1ccf4c12794" name="a29aeafb7a1d3ec392788d1ccf4c12794"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29aeafb7a1d3ec392788d1ccf4c12794">&#9670;&#160;</a></span>onDisconnected</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void onDisconnected </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"><em></em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a183cf5f7bae87d5d3624c9ab97ad2249" name="a183cf5f7bae87d5d3624c9ab97ad2249"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a183cf5f7bae87d5d3624c9ab97ad2249">&#9670;&#160;</a></span>reportError</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void reportError </td>
          <td>(</td>
          <td class="paramtype">QLocalSocket::LocalSocketError</td>          <td class="paramname"><span class="paramname"><em>socketError</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="acc43a6451778a10375f7e4261368f8c0" name="acc43a6451778a10375f7e4261368f8c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc43a6451778a10375f7e4261368f8c0">&#9670;&#160;</a></span>API_DATAGRAM_CMD</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_CMD = QLatin1String(&quot;cmd&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a39542a9eba7e4092dbd594909ed76417" name="a39542a9eba7e4092dbd594909ed76417"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39542a9eba7e4092dbd594909ed76417">&#9670;&#160;</a></span>API_DATAGRAM_DATA</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_DATA = QLatin1String(&quot;data&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d9030558809e6ac7295a892c0f05bfe" name="a8d9030558809e6ac7295a892c0f05bfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d9030558809e6ac7295a892c0f05bfe">&#9670;&#160;</a></span>API_DATAGRAM_DEVICE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_DEVICE = QLatin1String(&quot;device&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac7ceec3e87f7cfb746a1f33697742718" name="ac7ceec3e87f7cfb746a1f33697742718"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7ceec3e87f7cfb746a1f33697742718">&#9670;&#160;</a></span>API_DATAGRAM_DEVICEINDEX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_DEVICEINDEX = QLatin1String(&quot;deviceIndex&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9df4e33e1b37e3b2031f0a9943c47cb0" name="a9df4e33e1b37e3b2031f0a9943c47cb0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9df4e33e1b37e3b2031f0a9943c47cb0">&#9670;&#160;</a></span>API_DATAGRAM_ETH_SCAN_USE_BINDING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_ETH_SCAN_USE_BINDING = QLatin1String(&quot;useBinding&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a85f7ccd79963b16d952eb5e93ccba4ba" name="a85f7ccd79963b16d952eb5e93ccba4ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85f7ccd79963b16d952eb5e93ccba4ba">&#9670;&#160;</a></span>API_DATAGRAM_FROM_IP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_FROM_IP = QLatin1String(&quot;fromIp&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af29ec6fb07a3d40c8432b14bca9b8b8f" name="af29ec6fb07a3d40c8432b14bca9b8b8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af29ec6fb07a3d40c8432b14bca9b8b8f">&#9670;&#160;</a></span>API_DATAGRAM_ID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_ID = QLatin1String(&quot;id&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad7f18f55e68b670055865faebd110e2b" name="ad7f18f55e68b670055865faebd110e2b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7f18f55e68b670055865faebd110e2b">&#9670;&#160;</a></span>API_DATAGRAM_INTERFACE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_INTERFACE = QLatin1String(&quot;interface&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a50507ce10620cb878178ed28bc83d8c2" name="a50507ce10620cb878178ed28bc83d8c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50507ce10620cb878178ed28bc83d8c2">&#9670;&#160;</a></span>API_DATAGRAM_REQUEST</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_REQUEST = QLatin1String(&quot;request&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9181d8f45c1c6292517e0b00d8db73ec" name="a9181d8f45c1c6292517e0b00d8db73ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9181d8f45c1c6292517e0b00d8db73ec">&#9670;&#160;</a></span>API_DATAGRAM_SIZE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_SIZE = QLatin1String(&quot;size&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a38d802a925ecf5e699f1a4f9f190e708" name="a38d802a925ecf5e699f1a4f9f190e708"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a38d802a925ecf5e699f1a4f9f190e708">&#9670;&#160;</a></span>API_DATAGRAM_TO_IP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_TO_IP = QLatin1String(&quot;toIp&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5df32a64cf2e2af065bb458e944e1f42" name="a5df32a64cf2e2af065bb458e944e1f42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5df32a64cf2e2af065bb458e944e1f42">&#9670;&#160;</a></span>API_DATAGRAM_UDPSCAN_IP</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_UDPSCAN_IP = QLatin1String(&quot;udpScanIp&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6d39a0e96b29b537caad8f3bc558da3b" name="a6d39a0e96b29b537caad8f3bc558da3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d39a0e96b29b537caad8f3bc558da3b">&#9670;&#160;</a></span>API_DATAGRAM_UDPSCAN_SUBNETMASK</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_DATAGRAM_UDPSCAN_SUBNETMASK = QLatin1String(&quot;udpScanSubnetMask&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a36e50331980fe542b661b1b1cb041ab7" name="a36e50331980fe542b661b1b1cb041ab7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36e50331980fe542b661b1b1cb041ab7">&#9670;&#160;</a></span>API_MCU_CRC</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_MCU_CRC = QLatin1String(&quot;MCU_CHECKSUM&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a02a803c439dca07dd1b628862c3d2947" name="a02a803c439dca07dd1b628862c3d2947"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02a803c439dca07dd1b628862c3d2947">&#9670;&#160;</a></span>API_MCU_DATAGRAM_ENABLE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_MCU_DATAGRAM_ENABLE = QLatin1String(&quot;MCU_DATAGRAM&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a06ae574c3b84b491740508705d1be6b2" name="a06ae574c3b84b491740508705d1be6b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06ae574c3b84b491740508705d1be6b2">&#9670;&#160;</a></span>API_MCU_LENGTH</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_MCU_LENGTH = QLatin1String(&quot;MCU_LENGTH&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a46337d2742c581e71032db1d15d0042d" name="a46337d2742c581e71032db1d15d0042d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46337d2742c581e71032db1d15d0042d">&#9670;&#160;</a></span>API_MCU_PROTOCOL_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QString API_MCU_PROTOCOL_VERSION = QLatin1String(&quot;MCU_PROTOCOL_VERSION&quot;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab57f8f93ecece51ed609f0c3765f4504" name="ab57f8f93ecece51ed609f0c3765f4504"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab57f8f93ecece51ed609f0c3765f4504">&#9670;&#160;</a></span>blockSize</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">quint32 blockSize</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aece5537b13baf9462b4468c8abf0a5cd" name="aece5537b13baf9462b4468c8abf0a5cd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aece5537b13baf9462b4468c8abf0a5cd">&#9670;&#160;</a></span>connected</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::atomic_bool connected</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad5ab4c07b7b9f44e5ef7f7450c719068" name="ad5ab4c07b7b9f44e5ef7f7450c719068"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5ab4c07b7b9f44e5ef7f7450c719068">&#9670;&#160;</a></span>lastResult</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QJsonObject lastResult</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a72805c83813b1f2965cc141b7389b78c" name="a72805c83813b1f2965cc141b7389b78c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a72805c83813b1f2965cc141b7389b78c">&#9670;&#160;</a></span>socket</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QLocalSocket socket</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1280d4b09d59f63cad2653318b778b16" name="a1280d4b09d59f63cad2653318b778b16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1280d4b09d59f63cad2653318b778b16">&#9670;&#160;</a></span>socketHasErrors</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool socketHasErrors</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a359c03477f18f0d95c0cf7627b22eb16" name="a359c03477f18f0d95c0cf7627b22eb16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a359c03477f18f0d95c0cf7627b22eb16">&#9670;&#160;</a></span>wait</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::atomic_bool wait</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00086.html">VicoQuery</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
